#version 130
in vec3 position;
in float count;
uniform float alpha_value = 0.5;
uniform mat4 rotation;
uniform float steps;
uniform float pos_scale;
uniform int min_count = 1;
out vec4 vcolor;

void main() { 
        float n = count-min_count;
	
	if(count >= min_count)
                vcolor = vec4(0.0+n/steps, 1.0-n/steps, steps/100, alpha_value);
	else 
		vcolor = vec4(0.0, 0.0, 0.0, 0.0);
	//gl_Position = vec4(position.x, position.y, position.z, 1.0);
	gl_Position = rotation*vec4(position*1.2, 1.0);
	gl_Position.xy = gl_Position.xy*pos_scale;
}
